CLASS SIGNAL_BASE(3)

NAME
boost::signals2::signal_base - Base class for signals.

SYNOPSIS

// In header: <boost/signals2/signal_base.hpp>
class signal_base : public noncopyable {
public:
  // construct/copy/destruct
  virtual ~signal_base();
};

DESCRIPTION

  signal_base public construct/copy/destruct

    1.

    virtual ~signal_base();

    Virtual destructor.